compact1, compact2, compact3
java.util

## Class EventObject

- java.lang.Object
- - java.util.EventObject

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    AWTEvent, BeanContextEvent, CaretEvent, ChangeEvent, ConnectionEvent, DragGestureEvent, DragSourceEvent, DropTargetEvent, FlavorEvent, HandshakeCompletedEvent, HyperlinkEvent, LineEvent, ListDataEvent, ListSelectionEvent, MenuEvent, NamingEvent, NamingExceptionEvent, NodeChangeEvent, Notification, PopupMenuEvent, PreferenceChangeEvent, PrintEvent, PropertyChangeEvent, RowSetEvent, RowSorterEvent, SSLSessionBindingEvent, StatementEvent, TableColumnModelEvent, TableModelEvent, TreeExpansionEvent, TreeModelEvent, TreeSelectionEvent, UndoableEditEvent, UnsolicitedNotificationEvent

      public class EventObject
      extends Object
      implements Serializable

  The root class from which all event state objects shall be derived.

  All Events are constructed with a reference to the object, the "source", that is logically deemed to be the object upon which the Event in question initially occurred upon.

  Since:
    JDK1.1
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Object` | `source` The object on which the Event initially occurred.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EventObject(Object source)` Constructs a prototypical Event.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `getSource()` The object on which the Event initially occurred.
    `String` | `toString()` Returns a String representation of this EventObject.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### source

          protected transient Object source

      The object on which the Event initially occurred.

  - ### Constructor Detail

    - #### EventObject

          public EventObject(Object source)

      Constructs a prototypical Event.
      Parameters:
        `source` - The object on which the Event initially occurred.
      Throws:
        `IllegalArgumentException` - if source is null.

  - ### Method Detail

    - #### getSource

          public Object getSource()

      The object on which the Event initially occurred.
      Returns:
        The object on which the Event initially occurred.

    - #### toString

          public String toString()

      Returns a String representation of this EventObject.
      Overrides:
        `toString` in class `Object`
      Returns:
        A a String representation of this EventObject.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2015, Oracle and/or its affiliates. All rights reserved.